%global enable_tests 1
%global module_name dtree

Name:           nodejs-%{module_name}
Version:        0.0.7
Release:        9%{?dist}
Summary:        Command-line tool to view the dependency tree of any single js file

License:        MIT
URL:            https://github.com/RP-3/dtree
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
#https://github.com/RP-3/dtree/pull/2 license merged but no new release
Source1:        https://raw.githubusercontent.com/RP-3/dtree/062dddbbbc696e93133b64dc98d7f4e23464f150/LICENSE
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(ascii-tree)
BuildRequires:  npm(chalk)
BuildRequires:  npm(colors)
BuildRequires:  npm(should)
BuildRequires:  npm(mocha)
BuildRequires:  npm(prompt)
%endif

%description
A simple command-line tool to display the dependency tree of
a single js file that requires external modules. 

%prep
%setup -q -n package
rm -rf node_modules
sed -i '1 s|#!/usr/bin/env node|#!/usr/bin/node|' index.js

cp -p %{SOURCE1} .

%nodejs_fixdep chalk ^1.1.1
%nodejs_fixdep colors ^1.1.2
%nodejs_fixdep prompt ~0.x

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{module_name}/index.js %{buildroot}%{_bindir}/dtree

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
# this module needs a file in argv[1] to correctly load
%{__nodejs} ./package.json -e 'require("./")'
mocha test.js
%endif

%files
%doc README.md
%license LICENSE
%{_bindir}/dtree
%{nodejs_sitelib}/%{module_name}

%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Feb 15 2017 <piotr1212@gmail.com> - 0.0.7-7
- Add missing test dependencies
- Add file as argv to have tests run successfully
- Update shebang to use /usr/bin/node instead of /usr/bin/env

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Feb 22 2016 Tom Hughes <tom@compton.nu> - 0.0.7-5
- Update npm(chalk) dependency

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 21 2015 Tom Hughes <tom@compton.nu> - 0.0.7-3
- Update npm(colors) dependency

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Dec 08 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.0.7-1
- Initial packaging

